package domain

type AlibabaHmMarketingItembuygiftAdditemCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftAdditemCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingItembuygiftAdditemCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftAdditemCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingItembuygiftAdditemCommonActivityParam {
	s.OutActId = &v
	return s
}
